{"openapi":"3.1.0","info":{"title":"Scrape Creators API","description":"The easiest way to scrape public social media data at scale. Extract profiles, posts, videos, comments, and more from TikTok, Instagram, YouTube, Twitter, LinkedIn, Facebook, Reddit, and 27+ platforms.","version":"1.0.0","contact":{"name":"Scrape Creators","url":"https://scrapecreators.com","email":"support@scrapecreators.com"}},"servers":[{"url":"https://api.scrapecreators.com","description":"Production server"}],"security":[{"apiKeyAuth":[]}],"tags":[{"name":"GitHub","description":"Scrape GitHub profiles, repositories, and public activity"}],"paths":{"/v1/github/user":{"get":{"tags":["GitHub"],"summary":"User","description":"Retrieves public GitHub user details including name, bio, avatar, company, location, blog, follower counts, public repo counts, and account timestamps. Pass username, handle, or a full GitHub user url.","parameters":[{"name":"handle","in":"query","required":false,"description":"GitHub username/handle of the user you want the details for","schema":{"type":"string"},"example":"torvalds"},{"name":"url","in":"query","required":false,"description":"GitHub user URL, e.g. https://github.com/torvalds.","schema":{"type":"string"},"example":"https://github.com/torvalds"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"example":{"success":true,"credits_remaining":49997685116,"id":1024025,"node_id":"MDQ6VXNlcjEwMjQwMjU=","login":"torvalds","name":"Linus Torvalds","company":"Linux Foundation","blog":"","location":"Portland, OR","email":null,"bio":null,"twitter_username":null,"avatar_url":"https://avatars.githubusercontent.com/u/1024025?v=4","url":"https://github.com/torvalds","type":"User","site_admin":false,"public_repos":11,"public_gists":1,"followers":303973,"following":0,"created_at":"2011-09-03T15:26:22Z","updated_at":"2026-01-13T07:10:05Z"}}}}}}}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Scrape Creators API key"}}}}